YafaRay4tS version 0.7.5

LightWorks, VRay, Dribble, YafaRay and more..
clintonman
Captain
Posts: 2097
Joined: 21 May 2009, 21:08
Type the number ten into the box: 0
Location: California
Contact:

Re: YafaRay4tS version 0.7.5

Post by clintonman » 05 Feb 2014, 15:31

The screen shot is fuzzy, but it looks like it failed after truespace had sent the instructions to the renderer.
Clinton Reese

http://clintons3d.com

User avatar
trueBlue
Commander
Posts: 1416
Joined: 06 Jul 2009, 22:50
Type the number ten into the box: 10

Re: YafaRay4tS version 0.7.5

Post by trueBlue » 05 Feb 2014, 15:57

Could this be that you are using a 32 bit version of Yafaray on a 64 bit operating system?
Note that these versions are 32 bit:
http://www.united3dartists.com/forum/vi ... p?f=9&t=26" onclick="window.open(this.href);return false;

clintonman
Captain
Posts: 2097
Joined: 21 May 2009, 21:08
Type the number ten into the box: 0
Location: California
Contact:

Re: YafaRay4tS version 0.7.5

Post by clintonman » 06 Feb 2014, 02:27

trueBlue wrote:Could this be that you are using a 32 bit version of Yafaray on a 64 bit operating system?
Note that these versions are 32 bit:
http://www.united3dartists.com/forum/vi ... p?f=9&t=26" onclick="window.open(this.href);return false;
Do you mean a 64bit Yafaray on a 64 bit OS? because I run 32 bit Yafaray on a 64 bit OS w/o any problems.
Clinton Reese

http://clintons3d.com

User avatar
trueBlue
Commander
Posts: 1416
Joined: 06 Jul 2009, 22:50
Type the number ten into the box: 10

Re: YafaRay4tS version 0.7.5

Post by trueBlue » 06 Feb 2014, 03:42

Okay... It was just a stab in the dark given that there is both 32 and 64 bit versions.

User avatar
FHembree
Senior Chief Petty Officer
Posts: 257
Joined: 21 Feb 2011, 17:43
Type the number ten into the box: 9

Re: YafaRay4tS version 0.7.5

Post by FHembree » 06 Feb 2014, 22:07

I have done some more testing and in my testing due to some expermenting it make me wonder if I am installing this update correctly.
I installed the update by just opening TS and then opening the file YafRaytS_Installer.RsObj. The reason I wonder is because if I now open one
of my old ts files it still shows the older version of Yafray.

User avatar
trueBlue
Commander
Posts: 1416
Joined: 06 Jul 2009, 22:50
Type the number ten into the box: 10

Re: YafaRay4tS version 0.7.5

Post by trueBlue » 06 Feb 2014, 23:41

YafaRay4tS Installation

YafaRay4tS was created to work in tS7.61 Workspace (Rosetta)
It does not work in Model (tS6.6)
If you have previously installed YafaRay4tS before, Uninstall YafaRay4tS from the Add & Remove program in the Windows Control Panel first!

1.) Extract All the files from the YafaRay4tSv075.zip. into a folder named YafaRay4tSv075

IE: C:\trueSpace761\YafaRay4tSv075

2.) Open trueSpace7.61 and from the Workspace's File menu, Load the YafaRay4tS_Installer.RsObj from where you extracted the files.

3.) From the YafaRay4tS Installer panel select the "Install" button.

You should see a tS761 Question message asking: "Your existing YafaRay4tS Libraries will be deleted and replaced with updated versions. Would you like to continue?", if not select your keyboard keys Alt + Tab to bring the message forward. Selecting "Yes" will start the installation and selecting "No" will cancel the installation." If you have any content saved in any of these three libraries, they will be deleted, so save anything you want into a different library.

4.) From the Stack/Panel - YafaRay4tS/Setup panel, Set the YafaRay Install Path to where you have installed the YafaRay render engine.

IE: C:\Program Files\YafaRay\yafaray-xml.exe

5.) Check the Yafaray 0.1.2 if you are using that version.

6.) Select the "Save Settings" button to save your directories into the default YafaRay4tS object.

7.) Position the YafaRay4tS toolbar and save your Layout.

Congratulations you've finished your YafaRay4tS setup!

User avatar
FHembree
Senior Chief Petty Officer
Posts: 257
Joined: 21 Feb 2011, 17:43
Type the number ten into the box: 9

Re: YafaRay4tS version 0.7.5

Post by FHembree » 07 Feb 2014, 02:37

I have done some more testing to try and figure out the problem. As far as I know there is no 64-bit
version of yafray. Yes there is an installer for blender that is either 32 bits or 64 bits. But the rafray
renderer is 32.

First I tried keeping my settings as is without the update for TS installed. I am using ts with yafray-
0.1.1 win32. So as an experiment I decided to try and install yafray-0.1.2-Beta2.1 win32.

Without making any other changes I installed yafray-0.1.2-Beta2.1 and I got the error that I posted in the
previous message. For some reason yafary-0.1.2-Beta2.1 doesn't work for me!

I re-installed yafray-0.1.1-Beta32 and everything is working again!

Then I opened ts and loaded the installer for Yafray4tsv07. It appeared to install ok. I checked
and verified that YafRaytsv0.7.5 was installed.

Then I created a ts file with 2 small spheres and tried to render file. I got no error messages but I
did not see any render and the dos window disappeared quickly because file was small. I tried again and
tried to get a screen capture so I could see what happened. I was able to do this and message was:

I/O warning : failed to load external entity "C:/Temp/"
Error parsing the file C:/temp/"

I kept my backups of my Temp directory so I decided to try and use to original
"Yaf_render(Orig).cmd",(that I renamed, by double clicking on it), and when I did the file rendered ok.

Then I loaded the file caustic.RsScn and clicked render in TS. Got same results Dos window opened and
closed quickly, but no render. I doubled clicked on the "Yaf_render(Orig).cmd", and when I did the file
rendered ok.

I open both original "Yaf_render(Orig).cmd" and the "Yaf_render.cmd" files to compare.
These files are generated each time you render, even though they don't change.

Yaf_render(Orig).cmd:
"C:\Program Files\YafaRay\yafaray-xml.exe" -o "C:/Temp/" "C:/Temp/yaf_temp.xml"
Copy /Y C:\Temp\yafaray.tga C:\Temp\yaf_test.tga
pause
exit

Yaf_render.cmd : Version YafRaytsv0.7.5
cd "C:\Temp\"
"C:\Program Files\YafaRay\yafaray-xml.exe" -f "jpg" -op "C:\Temp\" "C:\Temp\yaf_temp.xml" yaf_test

Don't know why ver 0.7.5 doesn't work or what the switches mean.

But after some experimenting I found out that what is causing the cmd file not to work is the switch "p"
in the command -op. I think that the p may mean preview so I unchecked this box in TS yafaray TS menu, but when I clicked
render the "P" switch was still added to the Yaf_render.cmd file.

clintonman
Captain
Posts: 2097
Joined: 21 May 2009, 21:08
Type the number ten into the box: 0
Location: California
Contact:

Re: YafaRay4tS version 0.7.5

Post by clintonman » 07 Feb 2014, 04:36

dontMixyafVersions.jpg
Sounds like the trueBlue step 5 is the problem. It looks like you have YafaRay4tS set to use Yafaray v 0.1.2 but you're using version 0.1.1
They have different command line arguments -op is used for 0.1.2 and won't work with 0.1.1

So un-check it.

Edit:

Also I don't know if the updated YafaRay4tS 0.7.5 would work with scenes created in earlier versions of YafaRay4tS. It might work but I can't say for sure.
Clinton Reese

http://clintons3d.com

User avatar
Draise
Captain
Posts: 2900
Joined: 21 Sep 2009, 19:33
Type the number ten into the box: 0
Location: Bogota, Colombia
Contact:

Re: YafaRay4tS version 0.7.5

Post by Draise » 07 Feb 2014, 16:55

Cool!

This render engine for the WS! Um... what features does it have? Caustics? GI? Finalgathering? Irradience cache? Raytraced shadows? Is it multithreaded? Maybe I should do some research.

User avatar
trueBlue
Commander
Posts: 1416
Joined: 06 Jul 2009, 22:50
Type the number ten into the box: 10

Re: YafaRay4tS version 0.7.5

Post by trueBlue » 07 Feb 2014, 17:21

I did some testing.

I installed YafaRay-0.1.2-Beta2.1, rendered some scenes, and did not have any problems.
Note: It is not necessary to check "Yafaray 0.1.2 xml format - beta" as Clinton added code just before it's release that checks for that version automaticaly.

Next test, I installed YafaRay-0.1.1 without unistalling YafaRay-0.1.2-Beta2.1, thinking that that might be the problem. I received errors as shown below.

Next test, from the Add & Remove Programs I uninstalled both version above.
I installed YafaRay-0.1.1, I received errors as shown below.
Note: I am not 100% sure but I noticed the "Yafaray 0.1.2 xml format - beta" attribute being checked and unchecked.
@Clinton
Could that be the problem?

Looks like you converted these scenes to YafaRay4tS075
http://www.yafaray4ts.org/forum/index.p ... 9.135.html" onclick="window.open(this.href);return false;
Would you mind posting these scenes here?
Would be a shame to lose all of your hard work should the abandoned yafaray4ts.org disappear someday!
Attachments
Capture.PNG

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest